body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-color: #f4f4f4;
}

    /* Header styles */
    /* For mobile devices */
    @media (max-width: 700px)  {

          .LNWheader {
            background-color: #3498DB;
            max-width: 100%;
            height: auto;
            display: block;
          }
            header div {
                background-color: #3498DB;
                align-items: center;
                display: block;
                margin: auto;
            }
            
            header img {
                display: block;
                margin-left: auto;
                margin-right: auto;
                width: 100%;
            }        

        }
           

    @media (min-width: 701px) and (max-width: 1199px) /* For tablets */ {
        
            .LNWheader {
            background-color: #3498DB;
            max-width: 100%;
            height: auto;
            
          }
              
            header div {
                background-color: #3498DB;
                align-items: center;
                display: block;
                margin: auto;
            }
            
            header img {
                display: block;
                margin-left: auto;
                margin-right: auto;
                width: 100%;
            }      
        }  

    @media (min-width: 1200px) /* For desktops */{
        
           .LNWheader {
            background-color: #3498DB;
            max-width: 100%;
            height: auto;
            display:flex;
            margin: auto;
          }

            header div {
                background-color: #3498DB;
                align-items: center;
                display: flex;
                margin: auto;
                justify-content: center;
            }
            
            header img {
                display: block;
                margin-left: auto;
                margin-right: auto;
                width: 100%;
            }
       
    }


         
/* Navigation styles */

    @media (max-width: 600px) /* For mobile devices */
        {   
            nav {
                display: flex;
                flex-direction: column; /* Stacks the links vertically */
                align-items: center; /* Centers the links horizontally */
                background-color: #3498DB;
                width: 100%;
                gap: 0px;
            }
            nav a {
                padding: 0px;
                font-size: 16px;
                line-height: .05em;
            }

            .dropbtn {
                background-color: #3498DB;
                color: white;
                padding: 16px;
                font-size: 16px;
                border: none;
                cursor: pointer;
                align-items: center;
                text-decoration: underline;
                }


                .dropbtn:hover, .dropbtn:focus {
                background-color: #2980B9;
                }

                .dropdown {
                position: relative;
                display: inline-block;
                }

                .dropdown-content {
                display: none;
                position: absolute;
                background-color: #f1f1f1;
                min-width: 160px;
                overflow: auto;
                box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
                z-index: 1;
                }

                .dropdown-content a {
                color: black;
                padding: 12px 16px;
                text-decoration: none;
                display: block;
                }

                .dropdown a:hover {background-color: #ddd;}

                .show {display: block;}


                /*County dropdown */
                            .dropbtnCounty {
                background-color: #3498DB;
                color: white;
                padding: 16px;
                font-size: 16px;
                border: none;
                cursor: pointer;
                text-decoration: underline;
                }

                .dropbtnCounty:hover, .dropbtnCounty:focus {
                background-color: #2980B9;
                }

                .dropdownCounty {
                position: relative;
                display: inline-block;
                }

                .dropdownCounty-content {
                display: none;
                position: absolute;
                background-color: #f1f1f1;
                min-width: 160px;
                overflow: auto;
                box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
                z-index: 1;
                }

                .dropdownCounty-content a {
                color: black;
                padding: 12px 16px;
                text-decoration: none;
                display: block;
                }

                .dropdownCounty a:hover {background-color: #ddd;}

                .show {display: block;}

                                .btn {
                background-color: #3498DB;
                color: white;
                padding: 16px;
                font-size: 16px;
                border: none;
                cursor: pointer;
                text-decoration: underline;
}


        }   

    @media (min-width: 601px) and (max-width: 1099px) /* For tablets */
        {
            nav {
                display: flex;
                flex-direction: row; /* Aligns the links horizontally */
                justify-content: center; /* Centers the links */
                background-color: #3498DB;
                width: 100%;
            }
            nav a {
                padding: 10px 20px;
                font-size: 18px;
            }
            .dropbtn {
                background-color: #3498DB;
                color: white;
                padding: 16px;
                font-size: 16px;
                border: none;
                cursor: pointer;
                text-decoration: underline;
                }
                

                .dropbtn:hover, .dropbtn:focus {
                background-color: #2980B9;
                }

                .dropdown {
                position: relative;
                display: inline-block;
                }

                .dropdown-content {
                display: none;
                position: absolute;
                background-color: #f1f1f1;
                min-width: 160px;
                overflow: auto;
                box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
                z-index: 1;
                }

                .dropdown-content a {
                color: black;
                padding: 12px 16px;
                text-decoration: none;
                display: block;
                }

                .dropdown a:hover {background-color: #ddd;}

                .show {display: block;}


                /*County dropdown */
                /*Coounty dropdown */

                .dropbtnCounty {
                background-color: #3498DB;
                color: white;
                padding: 16px;
                font-size: 16px;
                border: none;
                cursor: pointer;
                text-decoration: underline;
                }

                .dropbtnCounty:hover, .dropbtnCounty:focus {
                background-color: #2980B9;
                }


                .dropdownCounty {
                position: relative;
                display: inline-block;
                }

                .dropdownCounty-content {
                display: none;
                position: absolute;
                background-color: #f1f1f1;
                min-width: 160px;
                overflow: auto;
                box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
                z-index: 1;
                }

                .dropdownCounty-content a {
                color: black;
                padding: 12px 16px;
                text-decoration: none;
                display: block;
                }

                .dropdownCounty a:hover {background-color: #ddd;}

                .show {display: block;}

                 .btn {
                background-color: #3498DB;
                color: white;
                padding: 16px;
                font-size: 16px;
                border: none;
                cursor: pointer;
                text-decoration: underline;
}


        }

    @media (min-width: 1100px) /* For desktops */
        {
           nav {
                display: flex;
                flex-direction: row; /* Aligns the links horizontally */
                justify-content: center; /* Centers the links */
                background-color: #3498DB;
                width: 100%;
            }
            nav a {
                padding: 10px 20px;
                font-size: 18px;
            }
            .dropbtn {
                background-color: #3498DB;
                color: white;
                padding: 16px;
                font-size: 16px;
                border: none;
                cursor: pointer;
                text-decoration: underline;
                }
                

                .dropbtn:hover, .dropbtn:focus {
                background-color: #2980B9;
                }

                .dropdown {
                position: relative;
                display: inline-block;
                }

                .dropdown-content {
                display: none;
                position: absolute;
                background-color: #f1f1f1;
                min-width: 160px;
                overflow: auto;
                box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
                z-index: 1;
                }

                .dropdown-content a {
                color: black;
                padding: 12px 16px;
                text-decoration: none;
                display: block;
                }

                .dropdown a:hover {background-color: #ddd;}

                .show {display: block;}


                /*County dropdown */
                /*Coounty dropdown */

                .dropbtnCounty {
                background-color: #3498DB;
                color: white;
                padding: 16px;
                font-size: 16px;
                border: none;
                cursor: pointer;
                text-decoration: underline;
                }

                .dropbtnCounty:hover, .dropbtnCounty:focus {
                background-color: #2980B9;
                }


                .dropdownCounty {
                position: relative;
                display: inline-block;
                }

                .dropdownCounty-content {
                display: none;
                position: absolute;
                background-color: #f1f1f1;
                min-width: 160px;
                overflow: auto;
                box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
                z-index: 1;
                }

                .dropdownCounty-content a {
                color: black;
                padding: 12px 16px;
                text-decoration: none;
                display: block;
                }

                .dropdownCounty a:hover {background-color: #ddd;}

                .show {display: block;}

                 .btn {
                background-color: #3498DB;
                color: white;
                padding: 16px;
                font-size: 16px;
                border: none;
                cursor: pointer;
                text-decoration: underline;
        }}
    
 

    /* Aside content styles */

    @media (max-width: 700px) {
         
            .aside {
                display: none; /* Hides the aside element on mobile */
            }
        }         


     @media (min-width: 701px) and (max-width: 1199px) /* For tablets */
       
        { .aside {
        float: left; /* Floats the aside element to the left */
        display: block; /* Ensures it behaves as a block-level element */
        /* Add other styling properties as needed (e.g., width, padding, margin) */
        height: 100vh;
        width: 200px;   
        background-color: #e0e0e0; /* Example background color */
        padding: 20px; /* Example padding */}
        }

    @media (min-width: 1200px) /* For desktops */
        { .aside {
        float: left; /* Floats the aside element to the left */
        display: block; /* Ensures it behaves as a block-level element */
        /* Add other styling properties as needed (e.g., width, padding, margin) */
        height: 100%;
        width: 200px;   
        background-color: #e0e0e0; /* Example background color */
        padding: 20px; /* Example padding */}
        }

    aside div {
        align-content: center;  
}
    
   

/* Main content styles */

/* Reset the table values */
      
  

 
        .citation {
            font-size: 12px;
            color: #555;
            margin-top: 10px;
            text-align: right;
        }
        .textbox {
            background-color: #fff;
            padding: 10px;
            border-radius: 5px;
            box-shadow: 0 2px 4px rgba(0,0,0,0.1);
            margin-bottom: 20px;
            display:block; /* Allows the textbox to shrink to fit its content */
            max-width: 1450px; /* Ensures the textbox doesn't exceed the width of its container */
            overflow-x: auto; 
        }

        div {
            font-size: 1.0em;
            color: #000;
            margin-top: 10px;
            text-align: left;
        }

        .icon {
             width: 22px;
            height: 22px;
       
        } 

          div p:first-child {
                margin-top: 0;
        }

        h1 {
            text-align: center;
        }



    @media (max-width: 700px) /* For mobile devices */
        {.container {
            padding: 20px 20px 20px 20px;
             }
         h1 {
            text-align: center;
            font-size: 1.3em
        }
            h2 {
            font-size: 1.2em    ; 
            }
        }   

    @media (min-width: 701px) and (max-width: 1199px) /* For tablets */
        {.container {
            padding: 20px 30px 20px 30px;
            margin-left: 240px; /* Adjusts for the width of the aside */
            }
        
        }

    @media (min-width: 1200px) /* For desktops */
        {.container {
            padding: 20px 20px 20px 20px;
            margin-left: 240px; /* Adjusts for the width of the aside */
           
        }


        }

/* Section styles */

 

        .sectionheader {
            color: navy;
            padding: 10px 20px;
            text-align: left;
            margin-bottom: 20px;
        }

        .sectioncontent {
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 2px 4px rgba(0,0,0,0.1);
        }


   /* Location */

  .locationcontainer {
      display: flex;
      gap: 20px; /* Space between columns */
    }

    .locationcolumn {
      flex: 1; /* Distribute available space equally */
      padding: 10px;
      border: 0px solid #ccc;
    }
    .locationimage {
      max-width: 100%; /* Ensures image doesn't exceed its container's width */
      height: auto;    /* Maintains aspect ratio when scaling */
      display: block;  /* Removes extra space below inline images */
}

    @media (max-width: 700px) {
      .locationcontainer {
        flex-direction: column;
      }
      .locationcolumn {
        width: 100%; /* Ensure columns take full width when stacked */
      }
    }

/* Population */

/* Reset the table values */
      
    

        

.populationtable {
    overflow-x: auto;    
}

 

.tg  {border-collapse:collapse;border-spacing:0;
    width:100%;   
}

.tg td{
    border-color:#ddd;
    border-style:solid;
    border-width:1px;
 
    overflow-x:auto;
    padding:5px 5px;
    word-break:normal;
    width:fit-content;
    vertical-align: top;
}
.tg th{
    border-color:#ddd;
    border-style:solid;
    border-width:1px;
    font-family:Arial, sans-serif;
    font-size:16px;
    font-weight:bold;
    overflow-x:auto;
    padding:10px 5px;
    word-break:normal;
    background-color: #b5d7ee;
}
.tg .tg-0lax{
    text-align:right;
    vertical-align:top;
    border-collapse: collapse;
    width:max-content;   
}

    tr:nth-child(even) {background-color:#f2f2f2} /* Zebra striping for table rows */
    tr:nth-child(odd) {background-color:#ffffff} /* Alternate row color */
    /* Align the first column to the left */
    td:nth-child(1), th:nth-child(1) {text-align: left;}
    tr:hover {background-color: #ddd;}

    @media (max-width: 700px) {
      .poptable-container {
        flex-direction: column;
      }
      .poptable col {
        width: 100%; /* Ensure columns take full width when stacked */
      }
        .poptable-container {
        overflow-x: auto;
        
    }
  .poptable-container td {
        white-space: nowrap;
    }
    }


/* ----------------------------------------------------------------------*/

/* Government*/

/* Reset the table values */
      
       table, caption, tbody, tfoot, thead, tr, th, td {
          margin: 0;
          padding: 0;
          border: 0;
          font-size: 100%;
          font: inherit;
          vertical-align: baseline;
        }
        table {
          border-collapse: collapse;
          border-spacing: 0;
        }


  .govtcontainer {
      display: flex;
      gap: 20px; /* Space between columns */
    }

    .govtcolumn {
      flex: 1; /* Distribute available space equally */
      padding: 15px;
      border: 0px solid #ccc;
    }
    .govtimage {
      max-width: 100%; /* Ensures image doesn't exceed its container's width */
      height: auto;    /* Maintains aspect ratio when scaling */
      display: block;  /* Removes extra space below inline images */
}

    @media (max-width: 700px) {
      .govtcontainer {
        flex-direction: column;
      }
      .govtcolumn {
        width: 100%; /* Ensure columns take full width when stacked */
      }
    }

/* Reset the table values */
      
       table, caption, tbody, tfoot, thead, tr, th, td {
          margin: 0;
          padding: 0;
          border: 0;
          font-size: 100%;
          font: inherit;
          vertical-align: baseline;
        }
        table {
          border-collapse: collapse;
          border-spacing: 0;
        }


.govttable {
    overflow-x: auto;    
}

.govttable  {border-collapse:collapse;border-spacing:0;
    width:100%;   
}

.govttable td{
    border-color:#ddd;
    border-style:solid;
    border-width:0px;
    font-size:16px;
    overflow-x:auto;
    padding:10px 5px;
    word-break:normal;
    width:fit-content;
    vertical-align: top;
}
.govttable th{
    border-color:#ddd;
    border-style:solid;
    border-width:1px;
    font-size:16px;
    font-weight:bold;
    overflow-x:auto;
    padding:10px 5px;
    word-break:normal;
    background-color: #b5d7ee;
    text-align: left;
}

    .cityhallimage {
        max-width: 100%; /* Ensures images are responsive */
        height: auto;
        border-radius: 5px; /* Rounded corners */
        overflow-x:auto;
        align-items: flex-start;
        display: block;
    }
    

.govttable .tg-0laz{
   
    vertical-align:top;
    border-collapse: collapse;
    width:max-content    
}

/* Align the first column to the left */
    td:nth-child(1), th:nth-child(1) {
        text-align: left;
    }

    /* Align the second column to the center */
    td:nth-child(2), th:nth-child(2) {
        text-align: center;
    }

    /* Align the third column to the right */
    td:nth-child(3), th:nth-child(3) {
        text-align: left;
    }
    /* Align the second column to the center */
    td:nth-child(4), th:nth-child(4) {
        text-align: center;
    }
    /* Align the second column to the center */
    td:nth-child(5), th:nth-child(5) {
        text-align: center;
    }

/* Reset the table values */
      
       table, caption, tbody, tfoot, thead, tr, th, td {
          margin: 0;
          padding: 0;
          border: 0;
          font-size: 100%;
          font: inherit;
          vertical-align: baseline;
        }
        table {
          border-collapse: collapse;
          border-spacing: 0;
        }


/* Post Office section */


    .postofficecontainer {
      display: flex;
      gap: 20px; /* Space between columns */
    }

    .postofficecolumn {
      flex: 1; /* Distribute available space equally */
      padding: 15px;
      border: 0px solid #ccc;
    }
    .postofficeimage {
      max-width: 100%; /* Ensures image doesn't exceed its container's width */
      height: auto;    /* Maintains aspect ratio when scaling */
      display: block;  /* Removes extra space below inline images */
}

    @media (max-width: 700px) {
      .postofficecontainer {
        flex-direction: column;
      }
      .postofficecolumn {
        width: 100%; /* Ensure columns take full width when stacked */
      }
    }

/* Reset the table values */
      
       table, caption, tbody, tfoot, thead, tr, th, td {
          margin: 0;
          padding: 0;
          border: 0;
          font-size: 100%;
          font: inherit;
          vertical-align: baseline;
        }
        table {
          border-collapse: collapse;
          border-spacing: 0;
        }

   

/* Utilities section */

       
        .utiltable {
            overflow-x: auto;    
        }
        .utiltable  {
            border-collapse:collapse;border-spacing:0;
            width:100%;   
        }
        .utiltable td{
            border-color:#ddd;
            border-style:solid;
            border-width:1px;
            font-size:16px;
            overflow-x:auto;
            padding:10px 5px;
            word-break:normal;
            width:fit-content;
            vertical-align: top;
        }
        .utiltable th{
            border-color:#ddd;
            border-style:solid;
            border-width:1px;
            font-size:16px;
            font-weight:bold;
            overflow-x:auto;
            padding:10px 5px;
            word-break:normal;
            background-color: #b5d7ee;
            text-align: left;
        }
        .utiltable td:nth-child(2) { /* Targets the second column */
          text-align: left;
        }
        .utiltable td:nth-child(3) { /* Targets the third column */
          text-align: center;
        }

/* Reset the table values */
      
       table, caption, tbody, tfoot, thead, tr, th, td {
          margin: 0;
          padding: 0;
          border: 0;
          font-size: 100%;
          font: inherit;
          vertical-align: baseline;
        }
        table {
          border-collapse: collapse;
          border-spacing: 0;
        }


/* Events section*/

        .eventstable {
            display: flex; /* Enables Flexbox for the container */
            justify-content: space-between; /* Distributes space between items (optional, but can be useful) */
            align-items: flex-start;
            border-collapse:collapse;border-spacing:0;
            width: auto;   
            overflow-x: auto; 
        }

            div p:first-child {
            margin-top: 0;
            }

            .eventscolumn {
            flex: 1 1 50%; /* Shorthand for flex-grow, flex-shrink, flex-basis */
            box-sizing: border-box; /* Ensures padding and border are included in the 50% width */
            /* Add other styling for your columns (e.g., padding, background-color) */
            padding: 0px;
            border: 0px solid #ccc;
           
        }
        .eventstable td{
            border-color:#ddd;
            border-style:solid;
            border-width:1px;
            font-size:16px;
            overflow-x:auto;
            padding:10px 5px;
            word-break:normal;
            width:50%;
            vertical-align: top;
        }
        .eventstable th{
            border-color:#ddd;
            border-style:solid;
            border-width:1px;
            font-size:16px;
            font-weight:bold;
            overflow-x:auto;
            padding:10px 5px;
            word-break:normal;
            background-color: #b5d7ee;
            text-align: left;
        }

            @media (max-width: 700px) /* For mobile devices */
        {
            .eventstable {
                display: inline-flexbox; /* This makes the container a flex container */
                justify-content: space-around; /* Distributes space around items */
                align-items: flex-start; /* Aligns items along the cross axis (vertical) */
                gap: 5px; /* Adds space between flex items */
            }

            .eventsbox {
                width:100%; /* Example width for the boxes */
                /*max: height 700px;%;  Example height for the boxes */
                background-color: white;
                border: 0px solid blue;
                display: flex; /* Makes content inside boxes flexible as well */
                justify-content: center;
                align-items: center;
                font-family: sans-serif;
            }   
            .events img {
                max-width: 100%; /* Ensures images are responsive */
                height: auto; /* Maintains aspect ratio */
             }
        }

/* Reset the table values */
      
       table, caption, tbody, tfoot, thead, tr, th, td {
          margin: 0;
          padding: 0;
          border: 0;
          font-size: 100%;
          font: inherit;
          vertical-align: baseline;
        }
        table {
          border-collapse: collapse;
          border-spacing: 0;
        }


/* Generic table setup */

/* First, reset all table values */
        table, caption, tbody, tfoot, thead, tr, th, td {
           margin: 0;
           padding: 0;
           border: 0;
           font-size: 100%;
           font: inherit;
           vertical-align: baseline;
        }
    
    /* Now setup table */
    
        table {
          border-collapse: collapse;
          border-spacing: 0;
          width: 100%;
        }

        table td {
            width:50%;
            vertical-align: top;
        }

        table img {
            max-width: 100%; /* Ensures images are responsive */
            height: auto;
                    }

        .centertext {
        text-align: center;
        padding-top: 1em;
        }

        td:nth-child(2) {
            text-align: center;
            }

        tr:nth-child(even) {
                background-color: #f2f2f2; /* grey background on alternating lines */
}

  @media screen and (max-width: 700px) { /* Adjust breakpoint as needed */
       
      /* THIS IS WHAT BREAKS THE OTHER TABLES!!!   */
      
      #generictable {
          table tbody, td, tr {
            display:block;
          }
      }
      
     

        table tr {
            border: 1px solid #ccc; /* Add borders for visual separation */
            margin-bottom: 10px;
          }
        table td {
            border: none;
            border-bottom: 1px solid #eee; /* Add bottom border for cell separation */
            position: relative;
            text-align: left;
            width: 100%;
          }
       table img {
            max-width: 100%; /* Ensures images are responsive */
            height: auto;
        }
        td:nth-child(2) {
            text-align: center;
        }
       table, caption, tbody, tfoot, thead, tr, th, td {
              margin: 0;
              padding: 0;
              border: 0;
              font-size: 100%;
              font: inherit;
              vertical-align: baseline;
        }
        table {
          border-collapse: collapse;
          border-spacing: 0;
        }


/* Reset the table values */
      
       table, caption, tbody, tfoot, thead, tr, th, td {
          margin: 0;
          padding: 0;
          border: 0;
          font-size: 100%;
          font: inherit;
          vertical-align: baseline;
        }
        table {
          border-collapse: collapse;
          border-spacing: 0;
        }

}
    

/* Footer styles */ 
        .footer {
            background-color: #3498DB   ;
            color: white;
            padding: 10px 20px;
            text-align: center;
}

    @media (max-width: 700px) /* For mobile devices */
        {
  

        }   

    @media (min-width: 701px) and (max-width: 1199px) /* For tablets */
        {


        }

    @media (min-width: 1200px) /* For desktops */
        {


     }

    